org.red5.server.script.jython

## Class JythonScriptFactory

- java.lang.Object
- - org.red5.server.script.jython.JythonScriptFactory

All Implemented Interfaces:
  org.springframework.scripting.ScriptFactory

    public class JythonScriptFactory
    extends Object
    implements org.springframework.scripting.ScriptFactory

`ScriptFactory` implementation for a Python script.

Author:
  Yan Weng
See Also:
  A prototype of Jython ScriptFactory for Spring Framework

### Constructor Summary

Constructors
Constructor and Description
`JythonScriptFactory(String scriptSourceLocator)`
`JythonScriptFactory(String scriptSourceLocator, Class[] scriptInterfaces)`
`JythonScriptFactory(String scriptSourceLocator, Class[] scriptInterfaces, Object[] arguments)`

### Method Summary

Methods
`Object` `getScriptedObject(org.springframework.scripting.ScriptSource scriptSourceLocator, Class[] scriptInterfaces)`
`Class` `getScriptedObjectType(org.springframework.scripting.ScriptSource src)`
`Class[]` `getScriptInterfaces()`
`String` `getScriptSourceLocator()`
`boolean` `requiresConfigInterface()`
`boolean` `requiresScriptedObjectRefresh(org.springframework.scripting.ScriptSource src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator)

#### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator,
                       Class[] scriptInterfaces)

#### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator,
                       Class[] scriptInterfaces,
                       Object[] arguments)

### Method Detail

#### getScriptSourceLocator

    public String getScriptSourceLocator()

Specified by:
  `getScriptSourceLocator` in interface `org.springframework.scripting.ScriptFactory`

#### getScriptInterfaces

    public Class[] getScriptInterfaces()

Specified by:
  `getScriptInterfaces` in interface `org.springframework.scripting.ScriptFactory`

#### requiresConfigInterface

    public boolean requiresConfigInterface()

Specified by:
  `requiresConfigInterface` in interface `org.springframework.scripting.ScriptFactory`

#### getScriptedObject

    public Object getScriptedObject(org.springframework.scripting.ScriptSource scriptSourceLocator,
                           Class[] scriptInterfaces)
                             throws IOException,
                                    org.springframework.scripting.ScriptCompilationException

Specified by:
  `getScriptedObject` in interface `org.springframework.scripting.ScriptFactory`
Throws:
  `IOException`
  `org.springframework.scripting.ScriptCompilationException`

#### getScriptedObjectType

    public Class getScriptedObjectType(org.springframework.scripting.ScriptSource src)
                                throws IOException,
                                       org.springframework.scripting.ScriptCompilationException

Specified by:
  `getScriptedObjectType` in interface `org.springframework.scripting.ScriptFactory`
Throws:
  `IOException`
  `org.springframework.scripting.ScriptCompilationException`

#### requiresScriptedObjectRefresh

    public boolean requiresScriptedObjectRefresh(org.springframework.scripting.ScriptSource src)

Specified by:
  `requiresScriptedObjectRefresh` in interface `org.springframework.scripting.ScriptFactory`